ログイン名 パスワード   
パスワード紛失  新規登録      
   ホーム | 新着情報 | フォーラム | ブログ | ウィキ | マイアルバム | カレンダー | リンク | 教えて! | サイトマップ | サイト内検索 |  

[Linux] php5,mysql5へアップデート

対象モジュール ブログ
件名 [Linux] php5,mysql5へアップデート
要旨 本日、朝5時から、公開サーバーのphp、mysqlのバージョンアップを敢行しました。 バージョン php  4.4.7 → 5.2.3 mysql 4.0.25 → 5.0.27  巷のうわさで特に危険だったのは、mysqlのほうでして、 v4.0→4.1でマルチバイト文字の処理が変わっているためです。  今年の年初にxoopsを始めたとき、手順が悪くてmysql4.3にせずに旧バージョンで始めてしまったのが悔やまれますが、そろそろアップしないと機能に制約が出そうでしたので、時間がとれそうな今やっ

投稿ツリー


このトピックの投稿一覧へ

報告 [Linux] php5,mysql5へアップデート

msg# 1
depth:
0
前の投稿 - 次の投稿 | 親投稿 - 子投稿.1 | 投稿日時 2009-5-5 12:23
shige-p 

はじめまして。

同様の件でいろいろ調べていて、こちらにたどり着きました。
PHP: 5.1.6
MySQL: 5.0.22
XOOPS: XOOPS 2.0.16a JP(EUC-JP)
でOKだったのに、同じサーバーでXCL 2.1.6a(utf-8)だと☓。
文字化けはしているけれど内容的には○で文字エンコーディングを手動でshift-jisにするとトップページの先頭に
3バイト分のゴミが出力される(それ以外は文字化けなし)。
カット&トライでなーおさんと同じところにたどり着いて、他に同様の人はいないのかしら、と思ってぐぐったら
ビンゴ!!でした。
同じコメントアウトを2.0.16のほうでやると今度はこちらが文字化けしてしまうので、とりあえずSCRIPT_CODE=='utf-8P'だったらスルー、ってしましたが・・・。

以上報告でした。:-)

shige-p @ http://9demaio.com

投票数:0 平均点:0.00
返信する

この投稿に返信する

題名
ゲスト名
投稿本文

  条件検索へ


TRACK BACK ANYWHERE
_MB_TBANY_LANG_TRACKBACK_URL
http://www.mc8.jp/X/modules/tbAny/tb.php/
教えて!フォーラム・ブログ